%global composer_vendor  smarty-gettext
%global composer_project smarty-gettext
%global php_min_ver 5.3

Name:          php-smarty-gettext
Summary:       Gettext support for Smarty
Version:       1.7.0
Release:       1%{?dist}

License:       LGPL-2.1-or-later
URL:           https://github.com/smarty-gettext/smarty-gettext
Source0:       %{url}/archive/%{version}/smarty-gettext-%{version}.tar.gz

BuildArch:     noarch

BuildRequires: php(language) >= %{php_min_ver}
Requires:      php(language) >= %{php_min_ver}
Requires:      php-Smarty
Requires:      php-pcre
Requires:      php-gettext

Provides:      php-composer(%{composer_vendor}/%{composer_project}) = %{version}


%description
smarty-gettext provides gettext (i18n) support for Smarty, the popular PHP
templating engine, to implement an NLS (Native Language Support) API which can
be used to internationalize and translate your PHP applications.


%prep
%setup -q -n smarty-gettext-%{version}


%build
# Nothing to build


%install
install -d -m 0755 %{buildroot}%{_datadir}/php/Smarty/plugins
install -p -m 0644 \
  block.t.php \
  function.locale.php \
  %{buildroot}%{_datadir}/php/Smarty/plugins


%files
%{_datadir}/php/Smarty/plugins/block.t.php
%{_datadir}/php/Smarty/plugins/function.locale.php


%changelog
* Mon Jul 17 2023 Xavier Bachelot <xavier@bachelot.org> - 1.7.0-1
- Initial package
